export const colors = {
  white: "#e4ebfa",
  black: "#111",
  blue: "#b8ceff",
  gray300: "#ccc",
  gray500: "#555",
  gray600: "#444",
  gray700: "#333",
  gray800: "#222",
  slate300: "#bdc3cf",
  slate400: "#a5aab4",
  slate500: "#7b7e85",
  neutral200: "#eee",
  neutral500: "#777",
  neutral600: "#666",
  neutral800: "#444",
  black000: "#000",
  red400: "#f59c9c",
  amber200: "#fadf98",
  green200: "#dbf7d7",
  green300: "#c3f2bc",
  emerald700: "#728a6f",
  blue300: "#dce7ff",
  blue400: "#a1bfff",
  blue600: "#3a70e3",
  zinc800: "#27272a",
};
export const fontSize = {
  xs: 12,
  sm: 14,
  base: 16,
  md: 18,
  lg: 20,
  xl: 24,
  xxl: 28,
};
export const lineHeight = {
  tight: "115%",
  base: "150%",
  relaxed: "185%",
};
export const fontWeight = {
  normal: 400,
  bold: 700,
};
export const borderRadius = {
  sm: 8,
  base: 16,
  full: 9999,
};
export const fontFamily = {
  sans: 'neue-haas-unica, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, sans-serif',
  serif:
    'swear-display-cilati, ui-serif, Georgia, Cambria, "Times New Roman", Times, serif',
  mono: 'ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace',
};
export const spacing = {
  s0: 0,
  s1: 4,
  s3: 8,
  s4: 12,
  s5: 16,
  s6: 20,
  s7: 24,
  s8: 32,
  s9: 40,
  s10: 48,
  s11: 56,
};
export const screens = {
  xs: "480px",
  sm: "640px",
};
export const themeDefaults = {
  fontFamily: fontFamily.sans,
  lineHeight: lineHeight.base,
  fontWeight: fontWeight.normal,
  fontSize: fontSize.base,
  color: colors.white,
  padding: 0,
};
